com.google.cloud.dataflow.sdk.transforms.windowing

## Class GlobalWindow

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.windowing.BoundedWindow
  - - com.google.cloud.dataflow.sdk.transforms.windowing.GlobalWindow

    public class GlobalWindow
    extends BoundedWindow

The default window into which all data is placed (via `GlobalWindows`).

### Nested Class Summary

Nested Classes
`static class` `GlobalWindow.Coder` `GlobalWindow.Coder` for encoding and decoding `GlobalWindow`s.

### Field Summary

Fields
`static GlobalWindow` `INSTANCE` Singleton instance of `GlobalWindow`.

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.windowing.BoundedWindow

`TIMESTAMP_MAX_VALUE, TIMESTAMP_MIN_VALUE`

### Method Summary

All Methods Instance Methods Concrete Methods
`Instant` `maxTimestamp()` Returns the inclusive upper bound of timestamps for values in this window.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final GlobalWindow INSTANCE

Singleton instance of `GlobalWindow`.

### Method Detail

#### maxTimestamp

    public Instant maxTimestamp()

Description copied from class: `BoundedWindow`
Returns the inclusive upper bound of timestamps for values in this window.

Specified by:
  `maxTimestamp` in class `BoundedWindow`